Skip to content

getInvoiceSettlementsForInvoice

READ

Get invoice settlements for invoice.

POST /api/v1/invoicing/getInvoiceSettlementsForInvoice
curl -X POST '<your-host>/api/v1/invoicing/getInvoiceSettlementsForInvoice' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "side": "sales",
    "invoiceId": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "sourceAmount": 0,
      "appliedAmount": 0,
      "discountAmount": 0,
      "writeOffAmount": 0,
      "fxGainLossAmount": 0,
      "targetExchangeRate": 0,
      "sourceExchangeRate": 0,
      "appliedDate": "string",
      "source": "…"
    }
  ],
  "count": null
}

Parameters

ParameterType
"sales""purchase"

Input schema

schema
{
  "type": "object",
  "properties": {
    "side": {
      "type": "string",
      "enum": [
        "sales",
        "purchase"
      ]
    },
    "invoiceId": {
      "type": "string"
    }
  },
  "required": [
    "side",
    "invoiceId"
  ]
}